XCB 1.13

Data Fields
xcb_ge_event_t Struct Reference
XCB Core API

GE event. More...

`#include <xcb.h>`

## Data Fields
uint8_t | response_type
uint8_t | pad0
uint16_t | sequence
uint32_t | length
uint16_t | event_type
uint16_t | pad1
uint32_t | pad [5]
uint32_t | full_sequence

## Detailed Description

GE event.

An event as sent by the XGE extension. The length field specifies the number of 4-byte blocks trailing the struct.

Deprecated:
  Since some fields in this struct have unfortunate names, it is recommended to use xcb_ge_generic_event_t instead.

## Field Documentation

## ◆ full_sequence

uint32_t xcb_ge_event_t::full_sequence

full sequence

## ◆ pad

uint32_t xcb_ge_event_t::pad[5]

Padding

## ◆ pad0

uint8_t xcb_ge_event_t::pad0

Padding

## ◆ response_type

uint8_t xcb_ge_event_t::response_type

Type of the response

## ◆ sequence

uint16_t xcb_ge_event_t::sequence

Sequence number

The documentation for this struct was generated from the following file:

- xcb.h